function [rf2,Pf, template]=Create_tpltes2(ECG,ECGR,RR,thresh_corr,fs)
% Extract the fECG
count = 1;
nq=length(ECGR);
fq=ECGR;
R1 = [0 0];
rf2 = 0;
rf = 0;
template = zeros(600,1);
Pf = 0;
if length(RR)<=3
    return
end
% Estimate an initial template
Lf=round(mean(RR));

zf=zeros(length(RR),Lf);


for i=1:length(RR)
%%% linear resampling 
    zf(i,:)=resample(ECG(fq(i):fq(i)+RR(i)-1),Lf,RR(i));
end
Tf=mean(zf,1);
% Check the correlation with each beat
for i=1:length(RR)
    R2=corrcoef(zf(i,:),Tf);
    if R2(1,2)>thresh_corr && R1(1,2)>thresh_corr %&& RR(i)+RR(i-1) < 3.2*fs && RR(i)+ RR(i-1)> 0.6*fs 
        templatetmp = [resample(ECG(fq(i-1):fq(i-1)+RR(i-1)-1),300,RR(i-1)); ...
            resample(ECG(fq(i):fq(i)+RR(i)-1),300,RR(i))];
        template = template + templatetmp ;
        count = count +1 ; 
    end
    R1 = R2;
    rf(i)=R1(1,2);
end
% Update the template
TF=mean(zf(rf>=thresh_corr,:));
% Again, check the correlation with each beat
template = zeros(600,1);
count = 0;
if length(TF)>1.2
    R1 = [0 0];
    for i=1:length(RR)-1
        R2=corrcoef(zf(i,:),TF);
        if R1(1,2)>thresh_corr && R2(1,2)>thresh_corr %&& RR(i) < 1.5*fs && RR(i) > 0.6*fs && RR(i+1) < 1.5*fs && RR(i+1) > 0.6*fs

            templatetmp = resample(ECG(fq(i):fq(i)+RR(i)+RR(i+1)-1),600,RR(i)+RR(i+1));
            template = template + templatetmp ;
            count = count +1 ; 
        end
        R1 = R2;
        rf2(i)=R2(1,2);
    end
    else
        rf2=rf;
end
template= template/count;
Pf=round(100*sum(rf>=thresh_corr)/length(RR));


% fs = 300;                                                   % Sampling frequency
% fcuts = [0.5 1.0 45 46];                                        % Frequency Vector
% mags =   [0 1 0];                                               % Magnitude (Defines Passbands & Stopbands)
% devs = [0.05  0.01  0.05];                                      % Allowable Deviations
% [n,Wn,beta,ftype] = kaiserord(fcuts,mags,devs,fs);
% n = n + rem(n,2);
% hh = fir1(n,Wn,ftype,kaiser(n+1,beta),'scale');
% figure
% freqz(hh, 1, 2^14, fs)