function [ template2 ] = Norma_tplte( template )
%Norma_tplte: Normalize the template between 0 and 1, but before take care
%that the R-peaks are heading upwards

if template(1) < 0  && template(end) <0
    template1 = -template;
else
    template1 = template;
end

tmpmin = min(template1);
tmpmax = max(template1);


if tmpmin ~= 0 && tmpmax ~= 0
    tmpmax = max(template1 - tmpmin);
    template2 = (template1 - tmpmin)/tmpmax;
elseif tmpmin == 0 &&  tmpmax ~= 0
    template2 = template1/tmpmax;
else
    template2 = template1;
    disp('Null template')
    return % template is a null template
end

end

