function [tone,entr]=ToneEntropy(rr)
P=(rr(1:end-1)-rr(2:end))./rr(1:end-1).*100;
tone=mean(P);
p=P(P~=0);
bin1=floor(min(p));
bin2=ceil(max(p));
count=[];
for i=bin1:bin2-1
    t=sum(p>=i & p<i+1);
    count=[count;t];
end
prob=count./sum(count);
entr=-sum(prob(prob~=0).*log2(prob(prob~=0)));