function [ecg2, qrs_pos2 ] = adapt_ecg( ecg, qrs_pos )
%adapt_ecg : change qrs_pos to make it contain only usuable beats, also
%change the ECG to make it contain only usuable parts based on RR intervals
%too big or too small

dqrs_pos = diff(qrs_pos) ;
m_inter =  median(dqrs_pos);
dqrs_select = logical(double(dqrs_pos<1.9*m_inter) .* double(dqrs_pos>0.3*m_inter));
qrs_pos2 = 1;
ecg2 = [];
for i = 1:length(dqrs_select)
    if dqrs_select(i) == 1
            qrs_pos2 = [qrs_pos2 qrs_pos2(end)+dqrs_pos(i)+1];
            ecg2 = [ecg2; ecg(qrs_pos(i):qrs_pos(i+1))];
    end
end

ecg2 = [ecg2(1); ecg2];
end

