function [ jac ] = filter_ecg( ecg )
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
fs = 300;                                                   % Sampling frequency
fcuts = [0.5 1.0 34 35];                                        % Frequency Vector
mags =   [0 1 0];                                               % Magnitude (Defines Passbands & Stopbands)
devs = [0.05  0.01  0.05];                                      % Allowable Deviations
[n,Wn,beta,ftype] = kaiserord(fcuts,mags,devs,fs);
n = n + rem(n,2);
hh = fir1(n,Wn,ftype,kaiser(n+1,beta),'scale');
% figure
% freqz(hh, 1, 2^14, fs)
% jac = filter(hh,1,ecg);
jac  = conv(hh,ecg);
lgt = length(jac) - length(ecg) ;
jac  = jac(round(lgt/2) :end -round((lgt/2)));
% with mean filter
% windowSize = 5; 
% b = (1/windowSize)*ones(1,windowSize);
% % a = 1;
% jac2 = conv(jac(round(lgt/2) :end -round(lgt/2)),b);
% lgt2 = length(jac2) - length(ecg) ; 
% plot(jac2(round(lgt2/2) :end -round((lgt2/2))))

end

